Bug 140918 - [handbook] update 8.0 handbook about serial port /dev node name change
Summary: [handbook] update 8.0 handbook about serial port /dev node name change
Status: Open
Alias: None
Product: Documentation
Classification: Unclassified
Component: Documentation (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Marc Fonvieille
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2009-11-27 01:30 UTC by Joe
Modified: 2018-05-28 19:46 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Joe 2009-11-27 01:30:03 UTC
The 8.0 handbook has to be updated to reflect new serial port names.
http://www.freebsd.org/doc/en/books/handbook/install-post.html shows the sysinstall menu for configuring the mouse. Mouse dev name has changed in 8.0.

From the 8.0 release notes is the following
http://www.freebsd.org/releases/8.0R/relnotes-detailed.html

[amd64, i386] The uart(4) is now the default driver for serial port devices in favor of the sio(4) driver. Note that the device nodes have been renamed with /dev/cuauN and /dev/ttyuN.

How-To-Repeat: Just read the 8.0 handbook about config mouse and you will see 7.2 /dev node names shown
Comment 1 Marc Fonvieille freebsd_committer 2010-08-18 21:26:50 UTC
Responsible Changed
From-To: freebsd-doc->blackend

I work on it.
Comment 2 Marc Fonvieille freebsd_committer 2010-08-21 13:01:36 UTC
State Changed
From-To: open->analyzed

The error is in sysinstall/devices.c which has to be fixed first.
Comment 3 joeb1 2013-01-13 19:08:07 UTC
http://www.freebsd.org/cgi/query-pr.cgi?pr=140887

That completed pr fixes what your been waiting for.
So now handbook can be fixed per this pr.
Comment 4 Eitan Adler freebsd_committer freebsd_triage 2018-05-28 19:46:28 UTC
batch change:

For bugs that match the following
-  Status Is In progress 
AND
- Untouched since 2018-01-01.
AND
- Affects Base System OR Documentation

DO:

Reset to open status.


Note:
I did a quick pass but if you are getting this email it might be worthwhile to double check to see if this bug ought to be closed.